Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWSKeyboardHandler Class Reference

The QWSKeyboardHandler class implements the keyboard driver for Qt/Embedded. More...

    #include <QWSKeyboardHandler>

- List of all members, including inherited members

### Public Functions

- QWSKeyboardHandler ()
- virtual ~QWSKeyboardHandler ()
- virtual void processKeyEvent ( int unicode, int keycode, Qt::KeyboardModifiers modifiers, bool isPress, bool autoRepeat )

### Protected Functions

- void beginAutoRepeat ( int uni, int code, Qt::KeyboardModifiers mod )
- void endAutoRepeat ()
- int transformDirKey ( int key )

## Detailed Description

The QWSKeyboardHandler class implements the keyboard driver for Qt/Embedded.

The keyboard driver handles events from system devices and generates key events.

A QWSKeyboardHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call processKeyEvent() to send the event to Qt/Embedded for relaying to clients.

## Member Function Documentation

### QWSKeyboardHandler::QWSKeyboardHandler ()

Constructs a keyboard handler. The handler may be passed to the system for later destruction with QWSServer::setKeyboardHandler(), although even without doing this, the handler can function, calling processKeyEvent() to emit events.

### QWSKeyboardHandler::~QWSKeyboardHandler () `[virtual]`

Destroys a keyboard handler. Note that if you have called QWSServer::setKeyboardHandler(), you must not delete the handler.

### void QWSKeyboardHandler::beginAutoRepeat ( int uni, int code, Qt::KeyboardModifiers mod ) `[protected]`

Begin auto repeating the specified key press. After a short delay the key sequence will be sent periodically until endAutoRepeat() is called.

See also endAutoRepeat().

### void QWSKeyboardHandler::endAutoRepeat () `[protected]`

Stop auto-repeating a key press.

See also beginAutoRepeat().

### void QWSKeyboardHandler::processKeyEvent ( int unicode, int keycode, Qt::KeyboardModifiers modifiers, bool isPress, bool autoRepeat ) `[virtual]`

Subclasses call this function to send a key event. The server may additionally filter the event before sending it on to applications.

Parameter | Meaning
--- | ---
unicode | The Unicode value for the key, or 0xFFFF is none is appropriate.
keycode | The Qt keycode for the key (see Qt::Key for the list of codes).
modifiers | The set of modifier keys (see Qt::Modifier).
isPress | Whether this is a press or a release.
autoRepeat | Whether this event was generated by an auto-repeat mechanism, or an actual key press.

### int QWSKeyboardHandler::transformDirKey ( int key ) `[protected]`

Transforms an arrow key (`Qt::Key_Left`, `Qt::Key_Up`, `Qt::Key_Right`, `Qt::Key_Down`) to the orientation of the display.